

set -ex



exit $(test -f ${PREFIX}/lib/libfftw3f.a)
exit $(test -f ${PREFIX}/lib/libfftw3.a)
exit $(test -f ${PREFIX}/lib/libfftw3l.a)
exit $(test -f ${PREFIX}/lib/libfftw3f_threads.a)
exit $(test -f ${PREFIX}/lib/libfftw3_threads.a)
exit $(test -f ${PREFIX}/lib/libfftw3l_threads.a)
test -f ${PREFIX}/include/fftw3.h
python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3${SHLIB_EXT}']"
python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3_threads${SHLIB_EXT}']"
python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3f${SHLIB_EXT}']"
python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3f_threads${SHLIB_EXT}']"
python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3l${SHLIB_EXT}']"
python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3l_threads${SHLIB_EXT}']"
exit 0
